function::assert
Prev | Chapter 22. Logging Tapset | Next

## Name

function::assert — evaluate assertion

## Synopsis

    1) assert(expression:long)

    2) assert(expression:long,msg:string)

## Arguments

`expression`

  The expression to evaluate

`msg`

  The formatted message string

## Description

1) This function checks the expression and aborts the current running probe if expression evaluates to zero. Uses`error` and may be caught by try{} catch{}. A default message will be displayed.

2) This function checks the expression and aborts the current running probe if expression evaluates to zero. Uses`error` and may be caught by try{} catch{}. The specified message will be displayed.

Prev | Up | Next
function::abort | Home | function::dump_stack